Get Even More Visitors To Your Blog, Upgrade To A Business Listing >>

Windows Store: Declared package dependency does not exist. Dependency: Microsoft.NET.Native.Framework.1.5

Had this yesterday which caused me an issue updating a Windows Store application:

“The declared package dependency does not exist.  Dependency: Microsoft.NET.Native.Framework.1.5. Minimum version: 1.5.24614.0.  Please upload the .appxupload file generated by Visual Studio for the Store.”

I had already enabled compiling with .Net Native Tool chain for the different platforms and was uploading the file generated by Visual Studio, so it left me scratching my head for a while.

dependency-netnativeframework15a

First, double check your application configuration for Release and ensure each target platform has “Compile with .NET Native Tool chain” enabled.

depending-native-tool-chain

Then check your version of Microsoft.NETCore.UniversalWindowsPlatform nuget package.  In my case I was using v5.3.0-beta, dropping this down to 5.2.2 resolved the issue.

dependency-nugeta

Once done, rebuild the application, package and upload to the store.  Hey presto, problem sorted.

Share the post

Windows Store: Declared package dependency does not exist. Dependency: Microsoft.NET.Native.Framework.1.5

×

Subscribe to Msdn Blogs | Get The Latest Information, Insights, Announcements, And News From Microsoft Experts And Developers In The Msdn Blogs.

Get updates delivered right to your inbox!

Thank you for your subscription

×